Development
  • Guides
  • API Reference
  • API Explorer
  • SDKs
  • Sample apps
  • System status
Support
  • Developer forums
  • Developer blog
  • YouTube
  • X
More
  • Square Home
  • Square Developer
  • App Marketplace
  • Partner with Square
  • Solutions Partner Program
  • Pricing
  • Sales

© 2026 Square, Inc.

  • Developer terms of service
  • Developer Integration and Marketing Agreement
  • Privacy policy
  • Partnerships
  • Sign In
  • Sign In

    Bookings

  • List bookings

  • Create booking

  • Search availability

  • Bulk retrieve bookings

  • Retrieve business booking profile

  • List location booking profiles

  • Retrieve location booking profile

  • List team member booking profiles

  • Bulk retrieve team member booking profiles

  • Retrieve team member booking profile

  • Retrieve booking

  • Update booking

  • Cancel booking

  • Webhooks

  • booking.created

  • booking.updated

<- Bookings API

Bookings API

All versions ->

List team member booking profiles

GET

 /v2/bookings/team-member-booking-profiles

Lists booking profiles for team members.

Permissions:APPOINTMENTS_BUSINESS_SETTINGS_READ
Try in API Explorer
Link to section

Query parameters

Example code

Link to section

bookable_only

boolean

Indicates whether to include only bookable team members in the returned result (true) or not (false).

Link to section

limit

integer(32-bit)

The maximum number of results to return in a paged response.

Link to section

cursor

string

The pagination cursor from the preceding response to return the next page of the results. Do not set this when retrieving the first page of the results.

Link to section

location_id

string

Indicates whether to include only team members enabled at the given location in the returned result.

Link to section

Response fields

Link to section

team_member_booking_profiles

The list of team member booking profiles. The results are returned in the ascending order of the time when the team member booking profiles were last updated. Multiple booking profiles updated at the same time are further sorted in the ascending order of their IDs.

Link to section

cursor

string

The pagination cursor to be used in the subsequent request to get the next page of the results. Stop retrieving the next page of the results when the cursor is not set.

Max Length
65536
Link to section

errors

Errors that occurred during the request.

Link to section

Examples

All versions ->

GET /v2/bookings/team-member-booking-profiles
curl https://connect.squareup.com/v2/bookings/team-member-booking-profiles \ -H 'Square-Version: 2026-11-18' \ -H 'Authorization: Bearer ACCESS_TOKEN' \ -H 'Content-Type: application/json'

Response JSON

{ "team_member_booking_profiles": [ { "team_member_id": "TMXUrsBWWcHTt79t", "display_name": "Sandbox Seller", "is_bookable": true }, { "team_member_id": "TMaJcbiRqPIGZuS9", "display_name": "Sandbox Staff", "is_bookable": true } ], "errors": [] }